#!/usr/bin/python
#
# This is a mock version of the get-supported-series.py script that
# returns static data so that the cron.germinate shell script
# can be tested.

from __future__ import print_function

from optparse import OptionParser
import sys


def error_and_exit():
    sys.stderr.write("ERROR: I'm a mock, I only support the 'ubuntu' "
                     "distribution\n")
    sys.exit(1)


def main(args):
    # There is only a very limited subset of arguments that we support,
    # test for it and error if it looks wrong
    parser = OptionParser()
    parser.add_option("-d", "--distribution")
    options, _ = parser.parse_args(args)
    if options.distribution == "ubuntu":
        return "hardy jaunty karmic lucid maverick"
    error_and_exit()


if __name__ == "__main__":
    print(main(sys.argv))
